Page MenuHomePhabricator

Rewrite Special:UserLogin (and signup) and Special:UserLogout to use AuthManager
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/core : REL1_27Use AuthManager on special pages
mediawiki/core : masterUse AuthManager on special pages

Event Timeline

Tgr created this task.Aug 26 2015, 5:54 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 5:54 AM
Tgr claimed this task.Aug 28 2015, 1:27 AM

This sounds closely related to T19312, perhaps even a duplicate.

bd808 triaged this task as Medium priority.Aug 28 2015, 5:34 PM
bd808 added a subscriber: bd808.
Tgr renamed this task from Rewrite Special:UserLogin to use AuthManager to Rewrite Special:UserLogin (and signup) and Special:UserLogout to use AuthManager.Aug 28 2015, 11:20 PM
Tgr set Security to None.

Change 240052 had a related patch set uploaded (by Gergő Tisza):
[WIP] Use AuthManager on Special:Userlogin

https://gerrit.wikimedia.org/r/240052

Jay8g added a subscriber: Jay8g.Mar 9 2016, 6:20 AM

Change 240052 merged by jenkins-bot:
Use AuthManager on special pages

https://gerrit.wikimedia.org/r/240052

Change 289106 had a related patch set uploaded (by Gergő Tisza):
Use AuthManager on special pages

https://gerrit.wikimedia.org/r/289106

Change 289106 merged by jenkins-bot:
Use AuthManager on special pages

https://gerrit.wikimedia.org/r/289106